kledgeb Ubuntuの使い方や日本語化、アプリの使い方を紹介しています。

Ubuntu 16.04で以前のレイアウトのgedit

「Ubuntu 16.04」の「gedit」はレイアウトが大幅に変わり、今までの使い勝手と異なっています。


「Ubuntu 16.04」では、「gedit 3.18.3」が採用されています。


世の中には以前の「gedit」のレイアウトが使いやすかったと考えるユーザーもいます。
「Ubuntu 16.04」向けに「Ubuntu 14.04」の「gedit」がPPAで提供されており、PPAを利用することで以前の「gedit」のレイアウトが利用できます。


「Ubuntu 14.04」では、「gedit 3.10.4」が採用されています。


Ubuntu 14.04のgeditをインストールするには

「Ubuntu 14.04」の「gedit」をインストールする方法です。
事前に「gedit」を終了しておいてください。

1.PPAの追加

以下のPPAを追加します。
すでにこのPPAを追加している場合は、この手順を飛ばしてください。

  • ppa:mc3man/older


2.ソフトウェアの更新

「ソフトウェアの更新」を起動し、「gedit」をアップデートします。


以上で完了です。

3.geditの起動

「gedit」を起動すると、以下のように以前のレイアウトで「gedit」が利用できます。


geditを元に戻すには

「gedit」を元に戻すには、PPAをパージしてください。
「端末」から以下のコマンドを実行します。

sudo ppa-purge ppa:mc3man/older

参考までにPPAをパージした時のログを紹介します。

ubuntu@ubuntu-vb-1604:~$ sudo ppa-purge ppa:mc3man/older
[sudo] ubuntu のパスワード:
Updating packages lists
PPA to be removed: mc3man older
Package revert list generated:
 gedit/xenial gedit-common/xenial gedit-plugins/xenial

Disabling mc3man PPA from
/etc/apt/sources.list.d/mc3man-ubuntu-older-xenial.list
Updating packages lists
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています              
状態情報を読み取っています... 完了
'gedit' のバージョン '3.18.3-0ubuntu4' (Ubuntu:16.04/xenial [amd64]) を選択しました
'gedit-common' のバージョン '3.18.3-0ubuntu4' (Ubuntu:16.04/xenial [all]) を選択しました
'gedit-plugins' のバージョン '3.18.0-1' (Ubuntu:16.04/xenial [amd64]) を選択しました
以下のパッケージは「ダウングレード」されます:
  gedit gedit-common gedit-plugins
アップグレード: 0 個、新規インストール: 0 個、ダウングレード: 3 個、削除: 0 個、保留: 0 個。
1,034 kB 中 537 kB のアーカイブを取得する必要があります。
この操作後に 10.6 MB のディスク容量が解放されます。
続行しますか? [Y/n]
取得:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 gedit-common all 3.18.3-0ubuntu4 [131 kB]
取得:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 gedit amd64 3.18.3-0ubuntu4 [406 kB]
537 kB を 4秒 で取得しました (131 kB/s)
dpkg: 警告: gedit-common を 3.18.3.is.really.3.10.4-0ubuntu13 から 3.18.3-0ubuntu4 にダウングレードしています
(データベースを読み込んでいます ... 現在 1172679 個のファイルとディレクトリがインストールされています。)
.../gedit-common_3.18.3-0ubuntu4_all.deb を展開する準備をしています ...
gedit-common (3.18.3-0ubuntu4) で (3.18.3.is.really.3.10.4-0ubuntu13 に) 上書き展開しています ...
dpkg: 警告: gedit を 3.18.3.is.really.3.10.4-0ubuntu13 から 3.18.3-0ubuntu4 にダウングレードしています
.../gedit_3.18.3-0ubuntu4_amd64.deb を展開する準備をしています ...
gedit (3.18.3-0ubuntu4) で (3.18.3.is.really.3.10.4-0ubuntu13 に) 上書き展開しています ...
dpkg: 警告: gedit-plugins を 3.18.0.is.really.3.10.1-1ubuntu4 から 3.18.0-1 にダウングレードしています
.../gedit-plugins_3.18.0-1_amd64.deb を展開する準備をしています ...
gedit-plugins (3.18.0-1) で (3.18.0.is.really.3.10.1-1ubuntu4 に) 上書き展開しています ...
man-db (2.7.5-1) のトリガを処理しています ...
gconf2 (3.2.6-3ubuntu6) のトリガを処理しています ...
libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) のトリガを処理しています ...
libc-bin (2.23-0ubuntu3) のトリガを処理しています ...
bamfdaemon (0.5.3~bzr0+16.04.20160523-0ubuntu1) のトリガを処理しています ...
Rebuilding /usr/share/applications/bamf-2.index...
gnome-menus (3.13.3-6ubuntu3) のトリガを処理しています ...
desktop-file-utils (0.22-1ubuntu5) のトリガを処理しています ...
mime-support (3.59ubuntu1) のトリガを処理しています ...
gedit-common (3.18.3-0ubuntu4) を設定しています ...
gedit (3.18.3-0ubuntu4) を設定しています ...
update-alternatives: /usr/bin/gnome-text-editor (gnome-text-editor) を提供するために自動モードで /usr/bin/gedit を使います
gedit-plugins (3.18.0-1) を設定しています ...
PPA purged successfully


関連記事一覧
オプション